Subject: Re: Re: Re: Re: bug#71440: Python Inferior Mode Can’tRecognize My Prompt

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2024 07:31:14 +0300

> From: "shynur ." <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 8 Jun 2024 19:50:14 +0000
> 
> > Anyway, codepage 1252 cannot encode these two characters
> 
> Python inferior mode works well with
> 
> ```python
> import sys
> sys.ps1, sys.ps2 = "►", "▻"
> ```

I think you are lucky if it does work.

> The problem came after I change PS to "\033[32m►\033[0m".
> "\033[32m" and "\033[0m" color the prompt in terminal.

You expect that to show colors in Emacs as well?  If not, I suggest to
define PS1 and PS2 specially for the inferior Python.